Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QTabBar.Shape

    java.lang.Object
      java.lang.Enum<QTabBar.Shape>
          com.trolltech.qt.gui.QTabBar.Shape

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTabBar.Shape>

Enclosing class:
  QTabBar

    public static enum QTabBar.Shape

extends java.lang.Enum<QTabBar.Shape>
implements QtEnumerator

This enum type lists the built-in shapes supported by `QTabBar`. Treat these as hints as some styles may not render some of the shapes. However, position should be honored.

Enum Constant Summary
`RoundedEast` The normal rounded look on the right side the pages
`RoundedNorth` The normal rounded look above the pages
`RoundedSouth` The normal rounded look below the pages
`RoundedWest` The normal rounded look on the left side of the pages
`TriangularEast` Triangular tabs on the right of the pages.
`TriangularNorth` Triangular tabs above the pages.
`TriangularSouth` Triangular tabs similar to those used in the Excel spreadsheet, for example
`TriangularWest` Triangular tabs on the left of the pages.

Method Summary
`static QTabBar.Shape` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTabBar.Shape` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTabBar.Shape[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RoundedNorth

    public static final QTabBar.Shape RoundedNorth

  The normal rounded look above the pages

### RoundedSouth

    public static final QTabBar.Shape RoundedSouth

  The normal rounded look below the pages

### RoundedWest

    public static final QTabBar.Shape RoundedWest

  The normal rounded look on the left side of the pages

### RoundedEast

    public static final QTabBar.Shape RoundedEast

  The normal rounded look on the right side the pages

### TriangularNorth

    public static final QTabBar.Shape TriangularNorth

  Triangular tabs above the pages.

### TriangularSouth

    public static final QTabBar.Shape TriangularSouth

  Triangular tabs similar to those used in the Excel spreadsheet, for example

### TriangularWest

    public static final QTabBar.Shape TriangularWest

  Triangular tabs on the left of the pages.

### TriangularEast

    public static final QTabBar.Shape TriangularEast

  Triangular tabs on the right of the pages.

Method Detail

### values

    public static final QTabBar.Shape[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTabBar.Shape c : QTabBar.Shape.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTabBar.Shape valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTabBar.Shape resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD